> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Channel Account

> Update a channel account



## OpenAPI

````yaml PATCH /api/channel/accounts/{id}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/channel/accounts/{id}:
    patch:
      tags:
        - Channel Accounts
      summary: Update Channel Account
      description: Update a channel account
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The id of the channel account
          required: true
          description: The id of the channel account
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                channelAccountMetadata:
                  type: object
                  properties:
                    baseDomain:
                      type: string
                      description: >-
                        The base domain of the channel account (e.g.
                        {baseDomain}.embedreach.org) if the channel account is a
                        reach managed channel account
                  description: The metadata for the channel account
              required:
                - channelAccountMetadata
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      channelAccountMetadata:
                        oneOf:
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - reach-managed
                              baseDomain:
                                type: string
                              dkimVerified:
                                type: boolean
                                nullable: true
                              dmarcVerified:
                                type: boolean
                                nullable: true
                              verifiedReturnPath:
                                type: boolean
                                nullable: true
                              messageStream:
                                type: string
                                enum:
                                  - broadcast
                                  - outbound
                            required:
                              - type
                              - baseDomain
                              - messageStream
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - twilio
                            required:
                              - type
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - reach-managed-sms
                              smsApplicationReferenceId:
                                type: string
                            required:
                              - type
                              - smsApplicationReferenceId
                            description: >-
                              Please reach out to support@embedreach.com to get
                              started with self-serve SMS
                          - type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - reach-managed-ses
                            required:
                              - type
                            description: >-
                              Please reach out to support@embedreach.com to get
                              started with self-serve SES
                    required:
                      - id
                      - channelAccountMetadata
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````